## bmagic 6.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(bm)


set( CMAKE_VERBOSE_MAKEFILE on )

# SET(BMOPTFLAGS "BMSSE42OPT" CACHE STRING "User-specified optimization flag")

find_package(Threads REQUIRED)

set(CMAKE_BINARY_DIR ${CMAKE_SOURCE_DIR}/build/bin)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

include_directories("${PROJECT_SOURCE_DIR}/src")

set (CMAKE_CXX_STANDARD 11)

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR
    "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")

    if ("${BMOPTFLAGS}" STREQUAL "BMSSE42OPT")
	    set(bmoptf "-march=nehalem -O2 -msse4.2 -DBMSSE42OPT")
    elseif("${BMOPTFLAGS}" STREQUAL "BMAVX2OPT")
        set(bmoptf "-march=skylake -mavx2 -O2 -DBMAVX2OPT")
    else()
        set(bmoptf "-march=core2")
    endif()

    set(flags "-Wall -Wextra -Wno-ignored-qualifiers -march=core2 -fPIC")
    set(optflags -g0 -O3)
    set(bmptflags -pthread)
    SET( CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -Wl,-lpthread")
    

elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel")
    set(flags, "-tpp7 -march=core2 -restrict -DBM_HASRESTRICT -fno-fnalias -Wall")
    set(optflags, "-g0 -O3 -opt_report_fileopt.txt -opt_report_levelmax")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")

    if ("${BMOPTFLAGS}" STREQUAL "BMSSE42OPT")
	set(bmoptf "-DBMSSE42OPT")
    elseif("${BMOPTFLAGS}" STREQUAL "BMAVX2OPT")
        set(bmoptf "-DBMAVX2OPT") 
    endif()

    set(flags "/W4 /EHsc /F 5000000 ")
    set(optflags "-O2")
    SET( CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} ")
endif()

set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} ${flags} ${bmoptf} ${bmptflags}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flags} ${bmoptf} ${bmptflags}")

add_executable(bmsvutil ${PROJECT_SOURCE_DIR}/utils/svutil/svutil.cpp)

add_executable(bmtest ${PROJECT_SOURCE_DIR}/tests/stress/t.cpp)
add_executable(bmtest64 ${PROJECT_SOURCE_DIR}/tests/stress64/t64.cpp)
add_executable(bmperf ${PROJECT_SOURCE_DIR}/tests/perf/perf.cpp)
add_executable(bmperf64 ${PROJECT_SOURCE_DIR}/tests/perf64/perf64.cpp)
add_executable(bmlnkutil ${PROJECT_SOURCE_DIR}/utils/lnkutil/lnkutil.cpp)
add_executable(bminv ${PROJECT_SOURCE_DIR}/utils/inv_list/inv_list.cpp)

add_executable(bvsample01 ${PROJECT_SOURCE_DIR}/samples/bvsample01/sample1.cpp)
add_executable(bvsample02 ${PROJECT_SOURCE_DIR}/samples/bvsample02/sample2.cpp)
add_executable(bvsample03 ${PROJECT_SOURCE_DIR}/samples/bvsample03/sample3.cpp)
add_executable(bvsample04 ${PROJECT_SOURCE_DIR}/samples/bvsample04/sample4.cpp)
add_executable(bvsample05 ${PROJECT_SOURCE_DIR}/samples/bvsample05/sample5.cpp)
add_executable(bvsample06 ${PROJECT_SOURCE_DIR}/samples/bvsample06/sample6.cpp)
add_executable(bvsample07 ${PROJECT_SOURCE_DIR}/samples/bvsample07/sample7.cpp)
add_executable(bvsample08 ${PROJECT_SOURCE_DIR}/samples/bvsample08/sample8.cpp)
add_executable(bvsample09 ${PROJECT_SOURCE_DIR}/samples/bvsample09/sample9.cpp)
add_executable(bvsample10 ${PROJECT_SOURCE_DIR}/samples/bvsample10/sample10.cpp)
add_executable(bvsample11 ${PROJECT_SOURCE_DIR}/samples/bvsample11/sample11.cpp)
add_executable(bvsample12 ${PROJECT_SOURCE_DIR}/samples/bvsample12/sample12.cpp)
add_executable(bvsample14 ${PROJECT_SOURCE_DIR}/samples/bvsample14/sample14.cpp)
add_executable(bvsample15 ${PROJECT_SOURCE_DIR}/samples/bvsample15/sample15.cpp)
add_executable(bvsample16 ${PROJECT_SOURCE_DIR}/samples/bvsample16/sample16.cpp)
add_executable(bvsample17 ${PROJECT_SOURCE_DIR}/samples/bvsample17/sample17.cpp)
add_executable(bvsample18 ${PROJECT_SOURCE_DIR}/samples/bvsample18/sample18.cpp)
add_executable(bvsample19 ${PROJECT_SOURCE_DIR}/samples/bvsample19/sample19.cpp)
add_executable(bvsample20 ${PROJECT_SOURCE_DIR}/samples/bvsample20/sample20.cpp)
add_executable(bvsample21 ${PROJECT_SOURCE_DIR}/samples/bvsample21/sample21.cpp)
add_executable(bvsample22 ${PROJECT_SOURCE_DIR}/samples/bvsample22/sample22.cpp)
add_executable(bvsample23 ${PROJECT_SOURCE_DIR}/samples/bvsample23/sample23.cpp)

add_executable(bvsetalgebra ${PROJECT_SOURCE_DIR}/samples/bvsetalgebra/bvsetalgebra.cpp)

add_executable(bvsample01_64 ${PROJECT_SOURCE_DIR}/samples/bvsample01_64/bvsample01_64.cpp)


add_executable(xsample01 ${PROJECT_SOURCE_DIR}/samples/xsample01/xsample01.cpp)
add_executable(xsample02 ${PROJECT_SOURCE_DIR}/samples/xsample02/xsample02.cpp)
add_executable(xsample03 ${PROJECT_SOURCE_DIR}/samples/xsample03/xsample03.cpp)
add_executable(xsample04 ${PROJECT_SOURCE_DIR}/samples/xsample04/xsample04.cpp)
add_executable(xsample04a ${PROJECT_SOURCE_DIR}/samples/xsample04a/xsample04a.cpp)
add_executable(xsample05 ${PROJECT_SOURCE_DIR}/samples/xsample05/xsample05.cpp)
add_executable(xsample06 ${PROJECT_SOURCE_DIR}/samples/xsample06/xsample06.cpp)
add_executable(xsample08 ${PROJECT_SOURCE_DIR}/samples/xsample08/xsample08.cpp)

add_executable(svsample01 ${PROJECT_SOURCE_DIR}/samples/svsample01/svsample01.cpp)
add_executable(svsample02 ${PROJECT_SOURCE_DIR}/samples/svsample02/svsample02.cpp)
add_executable(svsample03 ${PROJECT_SOURCE_DIR}/samples/svsample03/svsample03.cpp)
add_executable(svsample04 ${PROJECT_SOURCE_DIR}/samples/svsample04/svsample04.cpp)
add_executable(svsample05 ${PROJECT_SOURCE_DIR}/samples/svsample05/svsample05.cpp)
add_executable(svsample06 ${PROJECT_SOURCE_DIR}/samples/svsample06/svsample06.cpp)
add_executable(svsample07 ${PROJECT_SOURCE_DIR}/samples/svsample07/svsample07.cpp)
add_executable(svsample08 ${PROJECT_SOURCE_DIR}/samples/svsample08/svsample08.cpp)
add_executable(svsample09 ${PROJECT_SOURCE_DIR}/samples/svsample09/svsample09.cpp)

add_executable(rscsample01 ${PROJECT_SOURCE_DIR}/samples/rscsample01/rscsample01.cpp)
add_executable(rscsample02 ${PROJECT_SOURCE_DIR}/samples/rscsample02/rscsample02.cpp)
add_executable(rscsample03 ${PROJECT_SOURCE_DIR}/samples/rscsample03/rscsample03.cpp)

add_executable(strsvsample01 ${PROJECT_SOURCE_DIR}/samples/strsvsample01/strsvsample01.cpp)
add_executable(strsvsample02 ${PROJECT_SOURCE_DIR}/samples/strsvsample02/strsvsample02.cpp)
add_executable(strsvsample03 ${PROJECT_SOURCE_DIR}/samples/strsvsample03/strsvsample03.cpp)
add_executable(strsvsample04 ${PROJECT_SOURCE_DIR}/samples/strsvsample04/strsvsample04.cpp)
add_executable(strsvsample05 ${PROJECT_SOURCE_DIR}/samples/strsvsample05/strsvsample05.cpp)

=== Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002-2009 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

TARGETS_BLD =  \
              samples/bvsample01 \
              samples/bvsample02 \
              samples/bvsample03 \
              samples/bvsample04 \
              samples/bvsample05 \
              samples/bvsample06 \
              samples/bvsample07 \
              samples/bvsample08 \
              samples/bvsample09 \
              samples/bvsample10 \
              samples/bvsample11 \
              samples/bvsample12 \
              samples/bvsample14 \
              samples/bvsample15 \
              samples/bvsample16 \
              samples/bvsample17 \
              samples/bvsample18 \
              samples/bvsample19 \
              samples/bvsample20 \
              samples/bvsample21 \
              samples/bvsample22 \
              samples/bvsample23 \
              samples/bvsample01_64 \
              samples/bvsetalgebra \
              samples/xsample01 \
              samples/xsample02 \
              samples/xsample03 \
              samples/xsample04 \
              samples/xsample04a \
              samples/xsample05 \
              samples/xsample06 \
              samples/xsample08 \
              samples/strsvsample01 \
              samples/strsvsample02 \
              samples/strsvsample03 \
              samples/strsvsample04 \
              samples/strsvsample05 \
              samples/svsample01 \
              samples/svsample02 \
              samples/svsample03 \
              samples/svsample04 \
              samples/svsample05 \
              samples/svsample06 \
              samples/svsample07 \
              samples/svsample08 \
              samples/rscsample01 \
              samples/rscsample02 \
              samples/rscsample03 \
              utils/svutil \
              tests/stress tests/perf tests/stress64 tests/perf64
        
SHELL=/bin/sh
MAKE := ${MAKE} --no-print-directory

ifeq (${MAKECMDGOALS},)
	MAKECMDGOALS=all
endif

.DIRS_BLD: 
	@for dir in $(TARGETS_BLD); \
	do \
        echo $$dir; \
		${MAKE} -C $$dir $(MAKECMDGOALS) ; \
		if [ "$$?" != "0" ]; then exit 127; fi; \
	done; \
    

rebuild all clean: .DIRS_BLD

relprep: .DIRS_BLD
	$(RM) -r CVS *.plg *.ncb *.opt *.log
	$(RM) -rf samples/CVS tests/CVS platforms/CVS src/CVS
	$(RM) -rf html
	$(RM) -rf src/bm__* src/*vcproj.*
	$(RM) -rf *.suo
	$(RM) -rf debug release cvsenv.sh
	cd platforms; dos2unix *.mk; cd -
	dos2unix canon-system config.guess bmenv.sh
	dos2unix readme.* *.txt
	cd src; dos2unix *.h
	chmod -x src/*
	chmod -x Makefile makefile.in Doxyfile readme

install : .DIRS_INST

=== lang-maps/jni/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(bmjni)

find_package(JNI)

if (${APPLE})
    execute_process(COMMAND /usr/libexec/java_home OUTPUT_VARIABLE MACOS_JAVA_HOME OUTPUT_STRIP_TRAILING_WHITESPACE)
    set (PLATFORM_JNI_INCLUDES ${MACOS_JAVA_HOME}/include ${MACOS_JAVA_HOME}/include/darwin)
else()
    set (PLATFORM_JNI_INCLUDES ${JNI_INCLUDE_DIRS})
endif()

message(STATUS "JNI include: ${PLATFORM_JNI_INCLUDES}")

set( CMAKE_VERBOSE_MAKEFILE on )

set(CMAKE_BINARY_DIR ${CMAKE_SOURCE_DIR}/build/bin)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

include_directories("${PLATFORM_JNI_INCLUDES}" "${PROJECT_SOURCE_DIR}/../../src" "${PROJECT_SOURCE_DIR}/include" "${PROJECT_SOURCE_DIR}/../libbm/include" "${PROJECT_SOURCE_DIR}/../libbm/src")


if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR
    "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set(flags "-Wall -Wextra -march=core2 -g0 -O2 -msse4.2 -fPIC -fno-rtti -fno-exceptions ")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel")
    set(flags, "-tpp7 -march=core2 -O2 -restrict -DBM_HASRESTRICT -fno-fnalias -Wall -fPIC")
    set(optflags, "-g0 -O3 -opt_report_fileopt.txt -opt_report_levelmax")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
    set(flags "/W4 /EHsc")
    set(optflags "-O2")
endif()

set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} ${flags}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flags} -std=c++11")


add_library(bmcpuidj SHARED "../libbm/src/libbmcpuid.c" "src/bmcpuidj.c")
add_library(bmjni SHARED "src/libbmjni.cpp" "src/bmjni.c")
add_library(bmjni-sse42 SHARED "src/libbmjni.cpp" "src/bmjni.c")
add_library(bmjni-avx2 SHARED "src/libbmjni.cpp" "src/bmjni.c")


if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
   set_target_properties(bmcpuidj     PROPERTIES COMPILE_FLAGS "-DBMDLLEXPORTS")
   set_target_properties(bmjni        PROPERTIES COMPILE_FLAGS "-DBMDLLEXPORTS")
   set_target_properties(bmjni-sse42  PROPERTIES COMPILE_FLAGS "-DBMDLLEXPORTS -DBMSSE42OPT")
   set_target_properties(bmjni-avx2   PROPERTIES COMPILE_FLAGS "-DBMDLLEXPORTS -DBMAVX2OPT")
endif()


if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" OR
    "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   set_target_properties(bmjni        PROPERTIES COMPILE_FLAGS "-march=core2")
   set_target_properties(bmjni-sse42  PROPERTIES COMPILE_FLAGS "-march=nehalem -msse4.2 -O2 -DBMSSE42OPT")
   set_target_properties(bmjni-avx2   PROPERTIES COMPILE_FLAGS "-march=native -mavx2 -O2 -DBMAVX2OPT")
endif()

target_link_libraries(bmcpuidj ${JNI_LIBRARIES})
target_link_libraries(bmjni ${JNI_LIBRARIES})
target_link_libraries(bmjni-sse42 ${JNI_LIBRARIES})
target_link_libraries(bmjni-avx2 ${JNI_LIBRARIES})

=== samples/bvsample01/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample1

DESTTYPE = 
DESTINATIONDIR=samples/bvsample01

include ../../makefile.in

=== samples/bvsample01_64/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = bvsample01_64

DESTTYPE = 
DESTINATIONDIR=samples/bvsample01_64

include ../../makefile.in

=== samples/bvsample02/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample2

DESTTYPE = 
DESTINATIONDIR=samples/bvsample02

include ../../makefile.in

=== samples/bvsample03/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample3

DESTTYPE = 
DESTINATIONDIR=samples/bvsample03

include ../../makefile.in

=== samples/bvsample04/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample4

DESTTYPE = 
DESTINATIONDIR=samples/bvsample04

include ../../makefile.in

=== samples/bvsample05/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample5

DESTTYPE = 
DESTINATIONDIR=samples/bvsample05

include ../../makefile.in

=== samples/bvsample08/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2003 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample8

DESTTYPE = 
DESTINATIONDIR=samples/bvsample08

include ../../makefile.in

=== samples/bvsample09/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2003 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample9

DESTTYPE = 
DESTINATIONDIR=samples/bvsample09

include ../../makefile.in

=== samples/bvsample14/Makefile ===
# ============================================================================
#
# BitMagic Library makefile
# (c) 2002 Anatoliy Kuznetsov.
#
# ============================================================================
# Permission is hereby granted, free of charge, to any person 
# obtaining a copy of this software and associated documentation 
# files (the "Software"), to deal in the Software without restriction, 
# including without limitation the rights to use, copy, modify, merge, 
# publish, distribute, sublicense, and/or sell copies of the Software, 
# and to permit persons to whom the Software is furnished to do so, 
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included 
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
# ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
# OTHER DEALINGS IN THE SOFTWARE.
# ============================================================================

PROJECTNAME=BitMagic Library Sample

CXXSOURCES=$(wildcard *.cpp)

BASICINCS=src

CSOURCES= 

DESTINATION = sample14

DESTTYPE = 
DESTINATIONDIR=samples/bvsample14

include ../../makefile.in

=== debian/changelog ===
bmagic (6.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update to Standards-Version 4.5.0 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 18 Apr 2020 21:13:48 -0400

=== debian/control ===
Source: bmagic
Section: libdevel
Priority: optional
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Homepage:  http://bmagic.sourceforge.net/
Build-Depends: debhelper (>= 10), cmake, doxygen, graphviz
Standards-Version: 4.5.0

Package: bmagic
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: c++-compiler
Description: C++ template library for efficient platform independent bitsets
 BitMagic is a C++ template library designed and developed to implement
 efficient platform independent bitsets.  Key features:
 .
  - Several types of on the fly adaptive compression.
  - Dynamic range of addressable space of 232-1 bits.
  - Efficient memory management.
  - Cache optimized bitset distance algorithms.
  - Serialization in platform independent, compact format suitable
    for storing in files and databases.
  - Performance tuning for 32-bit and 64-bit systems.
  - Optimization for Intel SSE2 128-bit integer SIMD.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_LDFLAGS_MAINT_APPEND=-pthread

%:
	dh $@ -Scmake

override_dh_auto_build:
	dh_auto_build
	mkdir -p $(CURDIR)\/debian/generated-doxygen
	sed -r 's+(OUTPUT_DIRECTORY\s*=\s*)doc+\1$(CURDIR)/debian/generated-doxygen+' Doxyfile | doxygen -
	find $(CURDIR)/debian/generated-doxygen -name '*.md5' -exec rm -f {} \;

override_dh_auto_clean:
	rm -rf $(CURDIR)/debian/generated-doxygen
	dh_auto_clean

=== debian/watch ===
version=3

http://sf.net/bmagic/bm[-.]+(.*)\.tar\.gz
